python-qt4 FTBFS on armel

Bug #514404 reported by Scott Kitterman on 2010-01-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-qt4 (Ubuntu)
High
Michael Casadevall
Lucid
High
Michael Casadevall

Bug Description

Binary package hint: python-qt4

The PyQt .sip files will be installed in /usr/share/sip/PyQt4.
pyuic4, pyrcc4 and pylupdate4 will be installed in /usr/bin.
Generating the C++ source for the QtCore module...
make: *** [build-2.6/configure-stamp] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2
******************************************************************************

Related branches

Changed in python-qt4 (Ubuntu):
assignee: nobody → Michael Casadevall (mcasadevall)
importance: Undecided → High
milestone: none → lucid-alpha-3
status: New → Confirmed

Patch attached. Test built on armel and amd64

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-qt4 - 4.7.0-2ubuntu2

---------------
python-qt4 (4.7.0-2ubuntu2) lucid; urgency=low

  * Added debian/patches/make_bindings_match_qt461.diff (LP: #514404)
    - This makes the qvectoranimation class and its sip binding match each other
      extactly so that the header can handle changes between qreal on i386 and
      armel
 -- Michael Casadevall <email address hidden> Fri, 05 Feb 2010 00:55:58 +0000

Changed in python-qt4 (Ubuntu Lucid):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers